/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-7-INSYDE.aml, Thu Apr 16 15:19:02 2020
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000163 (355)
 *     Revision         0x01
 *     Checksum         0xB2
 *     OEM ID           "HPQOEM"
 *     OEM Table ID     "INSYDE  "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "ACPI"
 *     Compiler Version 0x00040000 (262144)
 */
DefinitionBlock ("", "SSDT", 1, "HPQOEM", "INSYDE  ", 0x00001000)
{
    External (_SB_.WMID.BID0, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.BID1, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.POS1, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.POS2, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.POS3, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.POS4, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.POS5, FieldUnitObj)    // (from opcode)
    External (_SB_.WMID.POSV, FieldUnitObj)    // (from opcode)
    External (W10S, UnknownObj)    // (from opcode)

    Scope (\_SB)
    {
        Device (IPPF)
        {
            Name (_HID, "HPIC0003")  // _HID: Hardware ID
            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If (LAnd (LEqual (\_SB.WMID.POSV, 0x57), LEqual (\_SB.WMID.POS1, 0x31)))
                {
                    If (LAnd (LEqual (\_SB.WMID.POS2, 0x30), LEqual (\_SB.WMID.POS3, 0x52)))
                    {
                        If (LAnd (LEqual (\_SB.WMID.POS4, 0x53), LLessEqual (\_SB.WMID.POS5, 0x34)))
                        {
                            Return (Zero)
                        }
                    }
                }

                Return (0x0F)
            }
        }
    }
}

